/*
 * Copyright 2020 Rockchip Electronics S.LSI Co. LTD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#ifndef __SYS_SYSTEM_PROPERTIES_H
#define __SYS_SYSTEM_PROPERTIES_H

#define PROP_VALUE_MAX		92
#define PROP_NAME_MAX		(PROP_VALUE_MAX)

/*
 * Sets system property `name` to `value`, create the system property if it doesn't already exist.
 */
int __system_property_get(const char *name, char *value);

/*
 * Gets system property with `name`, returns the length of the value. 
 */
int __system_property_set(const char *name, const char *value);

#endif
